Default = {
	name	="gHUD",
	version	="10018",
	author	="Mahiro/Grognaz - Aegwynn(EU)",
}
Colors = {
	hp100 = {
		["r"]	=0,
		["g"]	=1,
		["b"]	=0,
		["a"]	=1,
	},
	hp50 = {
		["r"]	=1,
		["g"]	=1,
		["b"]	=0,
		["a"]	=1,
	},
	hp20 = {
		["r"]	=1,
		["g"]	=0,
		["b"]	=0,
		["a"]	=1,
	},
	mp100 = {
		["r"]	=0,
		["g"]	=0,
		["b"]	=1,
		["a"]	=1,
	},
	mp50 = {
		["r"]	=1,
		["g"]	=1,
		["b"]	=1,
		["a"]	=1,
	},
	mp20 = {
		["r"]	=1,
		["g"]	=0,
		["b"]	=0,
		["a"]	=1,
	},
}

function LoadOptions()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options==nil) 
		--or (Default.version=="10018") 
		or (Options.fade.range==nil) then
	
Options = {
	update = 0.033,
	--["standby"] 	= 0,
	fade = {
		["outTime"] = 2,
		["inTime"] 	= 0.5,
		["alpha"] 	= 0.2,
		["active"] 	= 1,		
		["range"] 	= 0.5,
	},
	deficit = {
		["format"] = 0,
		["mode"] = 1,
		--["ModeHP"]	= 0,
		--["ModeMP"]	= 0,
		player = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
		party = {
			["Max"] = 0.81,
			["Min"] = 0.1,
		},
		pet = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
		tt = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
	},
	name = {
		["player"] 	= 1,
		["party"] 	= 1,
		["target"] 	= 1,
		["pet"] 	= 1,
		["tt"] 		= 1,
		format = {
			["player"] 	= -1,
			["target"] 	= -1,
			["party"] 	= 4,
			["pet"] 	= 4,
			["tt"] 		= 4,
		},
	},
	position = {
		player = {
			["Y"] = 350,
			["X"] = 305,
		},
		target = {
			["Y"] = 0,
			["X"] = 30,
		},
		party = {
			["Y"] = 0,
			["X"] = 14,
		},
		pet = {
			["Y"] = 0,
			["X"] = 15,
		},
		tt = {
			["Y"] = 0,
			["X"] = 50,
		},
	},
	flash = {
		["In"] 		= 0.2,
		["OutHold"] = 0,
		["Out"] 	= 0.6,
		["InHold"] 	= 0,
		["BG"] 		= 1,
		["Bar"] 	= 0,
	},
	frame = {
		active = {
			["player"] 	= 1,	-- value for max frame if player is grouped (0 max only, 1 deficit, 2 current)
			["party"] 	= 1,
			["pet"] 	= 1,
			["tt"] 		= 1,
		},
		invert = {
			["mppoint"] 	= "BOTTOMLEFT",
			["hppoint"] 	= "BOTTOMRIGHT",	--BOTTOMRIGHT(invert), 		BOTTOM(normal)
			["mprelpoint"] 	= "BOTTOM",			--BOTTOMRIGHT(invert),		BOTTOM(normal)
			["hprelpoint"] 	= "BOTTOM",			--BOTTOMLEFT(invert),		BOTTOM(default)
		},
		bg = {
			["height"] 	= 250,
			["width"] 	= 14,
		},
		bar = {
			["width"] 	= 14,
		},
	},
	font = {
		["flags"] 	= "OUTLINE",	--OUTLINE, THICKOUTLINE and/or MONOCHROME
		["font"] 	= "Interface\\AddOns\\gHUD\\fonts\\comicbd.ttf",
		["size"] 	= 11,
	},
	texture = {
		["BarHeightINV"] 	= "Interface\\AddOns\\gHUD\\texture\\barINV",
		["BarHeight"] 		= "Interface\\AddOns\\gHUD\\texture\\bar",
	},
}
	else 
		Options=Options
	end
	end
end


